/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.osgi.web.wab.extender.internal.adapter;

import com.liferay.portal.osgi.web.servlet.context.helper.definition.ListenerDefinition;
import com.liferay.portal.osgi.web.wab.extender.internal.registration.FilterRegistrationImpl;
import com.liferay.portal.osgi.web.wab.extender.internal.registration.ServletRegistrationImpl;

import java.util.List;
import java.util.Map;

import javax.servlet.ServletContext;

import org.osgi.framework.Bundle;

/**
 * @author Raymond Augé
 */
public interface ModifiableServletContext {

	public Bundle getBundle();

	public Map<String, FilterRegistrationImpl> getFilterRegistrationImpls();

	public List<ListenerDefinition> getListenerDefinitions();

	public Map<String, ServletRegistrationImpl> getServletRegistrationImpls();

	public Map<String, String> getUnregisteredInitParameters();

	public ServletContext getWrappedServletContext();

	public void registerFilters();

	public void registerServlets();

}