/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.osgi.web.wab.extender.internal.registration;

import java.util.Comparator;

import javax.servlet.ServletContextListener;

import org.osgi.framework.Constants;
import org.osgi.framework.ServiceReference;
import org.osgi.framework.ServiceRegistration;

/**
 * @author Juan Gonzalez
 */
public class ListenerServiceRegistrationComparator
	implements Comparator<ServiceRegistration<?>> {

	@Override
	public int compare(
		ServiceRegistration<?> serviceRegistration1,
		ServiceRegistration<?> serviceRegistration2) {

		Integer servletContextListenerCount1 = 0;

		ServiceReference<?> serviceReference1 =
			serviceRegistration1.getReference();

		String[] objectClassNames1 = (String[])serviceReference1.getProperty(
			Constants.OBJECTCLASS);

		for (String objectClassName : objectClassNames1) {
			if (objectClassName.equals(
					ServletContextListener.class.getName())) {

				servletContextListenerCount1++;
			}
		}

		Integer servletContextListenerCount2 = 0;

		ServiceReference<?> serviceReference2 =
			serviceRegistration2.getReference();

		String[] objectClassNames2 = (String[])serviceReference2.getProperty(
			Constants.OBJECTCLASS);

		for (String objectClassName : objectClassNames2) {
			if (objectClassName.equals(
					ServletContextListener.class.getName())) {

				servletContextListenerCount2++;
			}
		}

		if (servletContextListenerCount1.equals(servletContextListenerCount2)) {
			servletContextListenerCount2++;
		}

		return servletContextListenerCount1.compareTo(
			servletContextListenerCount2);
	}

}